FONT.ECLASS(5)

NAME
font - easy, uniform font installation

DESCRIPTION
The font eclass attempts to make font installation as easy as possible. Everything that usually involves installing fonts (such as creating scalable font indecis, updating the font cache, etc...) is transparently taken care of by the font eclass.

EXAMPLES
Here's a simple example ebuild:
inherit font
DESCRIPTION="a collection of fonts for Nepali users"
HOMEPAGE="http://www.mpp.org.np/"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="freedist"
SLOT="0"
KEYWORDS="alpha amd64 ppc x86"
IUSE=""
DEPEND=""
S="${WORKDIR}/${PN}"
FONT_S=${S}
FONT_SUFFIX="ttf"

VARIABLES

FONT_SUFFIX
    Space-delimited list of font suffixes to install.

FONT_S
    Directory containing the fonts. If omitted, ${S} will be used.

DOCS
    Space-delimited list of documents to install.

FUNCTIONS

font_xfont_config
    Creates font indecis for X font files and also installs a fonts.alias file, if it exists. This function is called by font_src_install.

font_xft_config
    Creates fontconfig cache. This function is also called by font_src_install.

font_src_install
    Installs all fonts ending with suffixes listed in ${FONT_SUFFIX} as well as any documents listed in ${DOCS}. This function will be used as the default src_install function in an ebuild that omits one.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/font.eclass

AUTHORS
Aaron Walker <ka0ttic@gentoo.org>
Mike Frysinger <vapier@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/font.eclass.5,v 1.2 2004/09/29 12:55:49 vapier Exp $